// export const API_URL = "https://registro.api.congresoson.gob.mx/";
// export const API_URL = "http://localhost:8080/";
export const API_URL = "https://pos.api.turquessacoffee.com/";
export const IS_DEV = import.meta.env.VITE_IS_DEV === "true";
export const SHOW_DEVTOOLS = import.meta.env.VITE_SHOW_DEVTOOLS === "true";
export const VERSION = import.meta.env.VITE_VERSION;
export const PROJECT_NAME = import.meta.env.VITE_PROJECT_NAME;

export const REGEX = {
  NUMEROS_ENTEROS: /^[0-9\b]+$/,
  NUMEROS_DECIMALES: /^\d*\.?\d*$/,
  CURRENCY_NUMBER_FORMAT: /^\$?\d{1,3}(?:,\d{3})*(?:\.\d{2})?$/,
  DIVISA: /^[0-9.,]+$/,
  CORREO:
    /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
  TELEFONO: /^[0-9]{10,10}$/,
  BASE_64_IMG: /^data:image\/(png|jpeg|jpg|gif);base64,[A-Za-z0-9+/]+={0,2}$/,
  CURP: /^[A-Z]{4}[0-9]{6}[HM][A-Z]{5}[0-9A-Z]{2}$/,
  CLAVE_ELECTOR: /[A-Z]{6}[0-9]{8}[A-Z]{1}[0-9]{3}/
};
